complexType "CommodityMultipleExercise"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | integralMultipleQuantity?, minimumNotionalQuantity?
</...>

Content Model Elements (2):

  integralMultipleQuantity, minimumNotionalQuantity

Annotation
A type for defining the multiple exercise provisions of an American style commodity option.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CommodityMultipleExercise"> <xsd:sequence> <xsd:element minOccurs="0" name="integralMultipleQuantity" type="CommodityNotionalQuantity"/> <xsd:element minOccurs="0" name="minimumNotionalQuantity" type="CommodityNotionalQuantity"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
integralMultipleQuantity

  Type: | CommodityNotionalQuantity, complex content

  The integral multiple quantity defines a lower limit of the Notional Quantity that can be exercised and also defines a unit multiple of the Notional Quantity that can be exercised, i.e. only integer multiples of this Notional Quantity can be exercised.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="integralMultipleQuantity" type="CommodityNotionalQuantity"/>

minimumNotionalQuantity

  Type: | CommodityNotionalQuantity, complex content

  The minimum Notional Quantity that can be exercised on a given Exercise Date. See multipleExercise.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="minimumNotionalQuantity" type="CommodityNotionalQuantity"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.